Last Comment Bug 723267 - Set up new calendar website
: Set up new calendar website
Status: VERIFIED FIXED
u=dev c=bedrock p=3
:
Product: Calendar
Classification: Client Software
Component: Website (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Andrei Hajdukewycz [:sancus]
:
:
Mentors:
http://mozilla.kewis.ch/mozilla.org/
: 623158 (view as bug list)
Depends on: 723270 945436
Blocks: 676620 714916 885799 952429
  Show dependency treegraph
 
Reported: 2012-02-01 13:26 PST by Philipp Kewisch [:Fallen]
Modified: 2014-03-23 08:06 PDT (History)
21 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
lightning web icons (wip) (6.24 KB, image/png)
2012-03-24 10:13 PDT, Andreas Nilsson (:andreasn)
no flags Details

Description Philipp Kewisch [:Fallen] 2012-02-01 13:26:03 PST
The website needs to enter 2012, we need a new design, less pages, less mess.

Here is an initial mockup:

http://mozilla.kewis.ch/lightning.html
Comment 1 Philipp Kewisch [:Fallen] 2012-02-01 13:31:34 PST
Maybe also a new logo, I've filed bug 723270 for that purpose
Comment 2 Philipp Kewisch [:Fallen] 2012-02-05 13:37:50 PST
For getting people started on bugs, we could also use this:

http://www.joshmatthews.net/bugsahoy/?calendar=1
Comment 3 Philipp Kewisch [:Fallen] 2012-03-06 05:41:59 PST
*** Bug 623158 has been marked as a duplicate of this bug. ***
Comment 4 Andreas Nilsson (:andreasn) 2012-03-24 10:13:57 PDT
Created attachment 609014 [details]
lightning web icons (wip)

Here are the icons
Comment 5 Philipp Kewisch [:Fallen] 2012-04-03 01:32:09 PDT
Note the mozilla.org design has changed again. I'd rather go with the new design in hopes that the colors will stick for a while. Andreas, what do you think?
Comment 6 Philipp Kewisch [:Fallen] 2012-07-18 05:03:07 PDT
I have updated the mockup again, see http://mozilla.kewis.ch/mozilla.org/

Andreas has given me feedback and prefers to use a more transparent heading area like this: <https://dl.dropbox.com/u/184285/lightning.png>, I see both layouts on mozilla.org and personally prefer it the way it is.
Comment 7 Yev 2012-08-23 03:14:35 PDT
Hi, I agree about the transparent logo it looks much nicer than the mockup site currently used. I was wondering if there is anything I can do to help with this project as I am familiar with web development
Comment 8 Philipp Kewisch [:Fallen] 2012-08-23 09:31:38 PDT
Hi Yev! I have to talk with Milos what his current status is, he wanted to give me an update on what needs to be done from the CMS side. The current mockup is pretty much hacked together using foundation css, I guess if there is anything on the code part that could be improved, you can do so.

I'll give you more info once Milos replies.
Comment 9 Milos Dinic [:Milos] 2012-09-22 07:22:59 PDT
Code is done, and we're waiting for https://github.com/mozilla/bedrock/pull/372 to be merged in.
Comment 10 marcel 2012-11-07 12:37:22 PST
I participated in the discussion about a Lightning logo 1.5 years ago: https://groups.google.com/forum/#!topic/mozilla.dev.apps.calendar/WuVrzNP6hK8/discussion

Is the plain calendar icon so prominently displayed at http://mozilla.kewis.ch/mozilla.org/ the "result" of this discussion? It looks so to me as I guess the logo is from Mark Carson's Sunbird icon set: http://markcarson.com/markcarson/asp/SunbirdIcons.asp.
IMO respecting its heritage a logo for Lightning would have to be round (FF, TB).
Comment 11 Philipp Kewisch [:Fallen] 2013-01-07 07:24:18 PST
Hey :rik, Milos asked me to move the discussion here.

* We have a design, see URL field
* There was a pull request that turned out to be r-, see comment 9


Things to consider:

* The CSS and JS is mostly from the foundation css framework. I chose this since it was the easy way for me to get something working that looks semi-decent (I am not a web designer)

* There is a small amount of JS to get the addon versions from AMO, is the only place you'd like us to use jQuery, or is there more?

* If there is some way we can use the one-mozilla design in a way that we always get the latest design without doing any (major?) changes, that would be nice. Do you have any pointers here?


So, what are the next steps to get the new website installed? I really want to get something working asap, this bug is already a year old and the site has been outdated even longer.
Comment 12 Philipp Kewisch [:Fallen] 2013-01-07 07:27:03 PST
(In reply to marcel from comment #10)
> Is the plain calendar icon so prominently displayed at
> http://mozilla.kewis.ch/mozilla.org/ the "result" of this discussion? It
> looks so to me as I guess the logo is from Mark Carson's Sunbird icon set:
> http://markcarson.com/markcarson/asp/SunbirdIcons.asp.
> IMO respecting its heritage a logo for Lightning would have to be round (FF,
> TB).
The icon displayed there is the trademark-free calendar logo which has been around just as long as the Sunbird logo, also made by Mark. This was merely a placeholder since we don't have a dedicated logo for Lightning, but until that is the case I think its the best thing we can do.

See bug 723270 for a suggestion for a new logo, I'm not quite happy with it though.
Comment 13 Anthony Ricaud (:rik) 2013-01-07 07:39:08 PST
Sorry, I'm not working on mozilla.org anymore. ccing other devs.
Comment 14 Mike Alexis [:malexis] 2013-01-07 14:26:35 PST
so it looks like the code needs to be cleaned up a little and designs/logo need to be finalized, then port to bedrock?

Is this calendar site replacing this page?: http://www.mozilla.org/projects/calendar/

Will discuss with web prod team and figure out timing, priority, resources, etc.
Comment 15 Philipp Kewisch [:Fallen] 2013-01-08 00:27:12 PST
(In reply to Mike Alexis [:malexis] from comment #14)
> so it looks like the code needs to be cleaned up a little and designs/logo
> need to be finalized, then port to bedrock?
Yes it seems so. I would take the current logo as is if thats the only remaining blocker. I can take care of the jQuery stuff for getting the version number, but I personally wouldn't change the CSS unless it will guarantee an auto-updated design. If the web team has any requirements there, please tell me.

iirc Milos told me that it has been ported to bedrock already, but maybe I'm just not clear with the terms. 

> 
> Is this calendar site replacing this page?:
> http://www.mozilla.org/projects/calendar/
Yes

> 
> Will discuss with web prod team and figure out timing, priority, resources,
> etc.
Thanks!
Comment 16 Philipp Kewisch [:Fallen] 2013-02-07 06:41:56 PST
Mike, any updates? Is the jQuery stuff the only blocking issue, or do you need something changed to the CSS?

Any updates from the web prod team?
Comment 17 Mike Alexis [:malexis] 2013-02-07 10:06:45 PST
sancus is going to look into this.
Comment 18 Jennifer Bertsch [:jbertsch] 2013-11-15 13:13:38 PST
Hi John-

We are migrating this page http://www.mozilla.org/projects/calendar/ to Bedrock.

Could you please reivew:

http://sancus.off.net/products/calendar/

and provide Sancus any style feedback?  He has been working with the Lightning Calendar and this is the content they want migrated.

Thx,
Jen
Comment 19 John Slater 2013-11-15 13:56:45 PST
Wow, the new page looks MUCH better. Nice work.

Not a lot of style feedback, but a couple of questions:
- do we need any nav links or other external links on this page?
- is there anything else you could say that would provide reasons for a person to download? From a marketing standpoint, there's not a lot on here pushing me in that direction.

Page looks nice, though. Thanks for the opportunity to review.
Comment 20 Wayne Mery (:wsmwk, NI for questions) 2013-11-15 14:18:53 PST
Philipp, should "Bugzilla  Found a bug?" point to https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar rather than the show bugs list?
Comment 21 Andrei Hajdukewycz [:sancus] 2013-11-15 14:21:21 PST
Probably, and I'm not really sure what the intention was for "Bug of the Day", either.
Comment 22 Philipp Kewisch [:Fallen] 2013-11-15 23:58:06 PST
(In reply to John Slater from comment #19)
> Wow, the new page looks MUCH better. Nice work.
> 
> Not a lot of style feedback, but a couple of questions:
> - do we need any nav links or other external links on this page?
Its possible that the content may be extended, but I wanted to keep it short and clear for the beginning. The 6 external links on the main page should be enough, documentation and any other secondary content can be put on MDN or the wiki.

The only other content that might need navigation is the former holiday calendars page. <http://www.mozilla.org/projects/calendar/holidays.html>. I could imagine replacing the bug of the day button with a link to the holiday calendars page, which looks the same but uses the button area to display the page. A link to go back to the main page could be added to the top of the button area.

We had agreed that the actual calendar data can stay on the website (i.e under the URL: http://www.mozilla.org/projects/calendar/caldata/AustraliaHolidays.ics). 
For now it would be enough for me to put the listing of the links on the wiki or mdn, but if its not too much extra effort I wouldn't mind it being on the main site. Once the site is up I can also send PRs myself.

Sancus, as I see on your site the prefix is /products/calendar/. Will the old URL still be available as a redirect? I bet we have quite a few people that subscribed to holiday calendars on the old URL and would be sad if it went away. I don't have any stats how much they are used though.


> - is there anything else you could say that would provide reasons for a
> person to download? From a marketing standpoint, there's not a lot on here
> pushing me in that direction.
Hm you mean reasons to download? I looked at mozilla.org, do you mean the taglines like "Fast, flexible,
secure" ? The only text I have there is the existing text on the page that describes Lightning, but I'm sure we can come up with more/different sayings.
Comment 23 Philipp Kewisch [:Fallen] 2013-11-16 00:07:42 PST
(In reply to Wayne Mery (:wsmwk) from comment #20)
> Philipp, should "Bugzilla  Found a bug?" point to
> https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar rather than the
> show bugs list?

The intention behind this is that users search for existing bugs first instead of blindly filing a new one. I'm open to changing that though.

(In reply to Andrei Hajdukewycz [:sancus] from comment #21)
> Probably, and I'm not really sure what the intention was for "Bug of the
> Day", either.

My original intent was to create a page that shows a random bug per day, one for a developer to fix (status NEW), one for a user to verify (RESO/FIXED) and one for a user to confirm (UNCO). I don't know if this will be of any use though and I also don't know if there is a good way to query this via the REST api. So two options:

1) Point to http://www.joshmatthews.net/bugsahoy/?calendar=1 and rename to "Bugs Ahoy - Want to make a difference? Find a bug that fits your interests"

2) Replace this button with a link to the holiday calendars (see previous comment)



BTW I found a typo, for the Knowledge Base link, "Help" should be lowercase.
Comment 24 marcel 2013-11-16 00:25:58 PST
(In reply to Philipp Kewisch [:Fallen] from comment #23)
> (In reply to Andrei Hajdukewycz [:sancus] from comment #21)
> > Probably, and I'm not really sure what the intention was for "Bug of the
> > Day", either.
> 
> My original intent was to create a page that shows a random bug per day, one
> for a developer to fix (status NEW), one for a user to verify (RESO/FIXED)
> and one for a user to confirm (UNCO).

I find this a fantastic idea, please don't drop it! Perfect would be if there were a feed I could subscribe to.
Comment 25 Wayne Mery (:wsmwk, NI for questions) 2013-11-17 03:43:41 PST
(In reply to Philipp Kewisch [:Fallen] from comment #23)
> (In reply to Wayne Mery (:wsmwk) from comment #20)
> > Philipp, should "Bugzilla  Found a bug?" point to
> > https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar rather than the
> > show bugs list?
> 
> The intention behind this is that users search for existing bugs first
> instead of blindly filing a new one. I'm open to changing that though.

I asked for these reasons
1. the link subtitle is "Found a bug? Let us know" but I got a list instead of a form, which was unexpected
2. your reason for showing a list is to avoid duplicates, but (I think) bug entry form workflow and "duplicate detection" is improved since this bug was filed

Not saying that showing a list is a bad idea, especially if it has worked so far. But if you continue that approach, suggest altering the subtitle.


> (In reply to Andrei Hajdukewycz [:sancus] from comment #21)
> > Probably, and I'm not really sure what the intention was for "Bug of the
> > Day", either.
> 
> My original intent was to create a page that shows a random bug per day, one
> for a developer to fix (status NEW), one for a user to verify (RESO/FIXED)
> and one for a user to confirm (UNCO). I don't know if this will be of any
> use though and I also don't know if there is a good way to query this via
> the REST api. So two options:
> 
> 1) Point to http://www.joshmatthews.net/bugsahoy/?calendar=1 and rename to
> "Bugs Ahoy - Want to make a difference? Find a bug that fits your interests"

I very much like this idea - every project desperately needs volunteer contributions, and needs to encourage volunteerism.

> 2) Replace this button with a link to the holiday calendars (see previous
> comment)

holiday calendar info is listed on https://support.mozillamessaging.com/en-US/kb/using-lightning-calendar-add-on ... so perhaps you could kill two bird by adding a "getting started" to this page. 

Or you could dual tasking the KB link to a subtitle of "Getting started / Get Help".  Then you could drop the "Get Support" link (and task that spot to something else) because it is trivial for users to get to the support pages through the KB.
Comment 26 Philipp Kewisch [:Fallen] 2013-11-18 02:29:06 PST
(In reply to Wayne Mery (:wsmwk) from comment #25)
> (In reply to Philipp Kewisch [:Fallen] from comment #23)
> > (In reply to Wayne Mery (:wsmwk) from comment #20)
> > > Philipp, should "Bugzilla  Found a bug?" point to
> > > https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar rather than the
> > > show bugs list?
> ...
> 2. your reason for showing a list is to avoid duplicates, but (I think) bug
> entry form workflow and "duplicate detection" is improved since this bug was
> filed
> 
> Not saying that showing a list is a bad idea, especially if it has worked so
> far. But if you continue that approach, suggest altering the subtitle.
Ah yes, indeed, there is the duplicate bug list thing. Lets change it to https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar then and we'll see how it goes.


> > 2) Replace this button with a link to the holiday calendars (see previous
> > comment)
> 
> holiday calendar info is listed on
> https://support.mozillamessaging.com/en-US/kb/using-lightning-calendar-add-
> on ... so perhaps you could kill two bird by adding a "getting started" to
> this page. 

The page nicely explains the basics of Lightning, but the holiday calendar link is very buried between the remaining content. When skimming over the page I only found it after explicitly searching for "holiday" on the page. I'd like to have something more accessible.

We still will need a page that lists the calendars per country, i.e what we currently have on <http://www.mozilla.org/projects/calendar/holidays.html>. I don't care if this page is on the website itself, MDN, the wiki or the KB. It should be readonly by non-contributors though.


> Or you could dual tasking the KB link to a subtitle of "Getting started /
> Get Help".  Then you could drop the "Get Support" link (and task that spot
> to something else) because it is trivial for users to get to the support
> pages through the KB.

How do users get to gsfn from the KB? I tried to pretend to be a non-power-user and searched for something, I didn't find what I want, then all I could find to get more help was the "Ask a question" link. I do agree though the two Get Support / Ask a Question links are very similar. Support is a bit in limbo for Lightning too, the only thing I personally read is blog comments, and I would still very much like to see a specific SUMO for Lightning, that doesn't say "Need help with Thunderbird" at the top.

I guess what we could to if we want to put 2 in 1 for Support/KB is to create a KB article that explains, that Lightning is using the Thunderbird KB and that further support questions should be asked in gsfn.
Comment 27 Wayne Mery (:wsmwk, NI for questions) 2013-11-18 19:34:07 PST
(In reply to Philipp Kewisch [:Fallen] from comment #26)
> I guess what we could to if we want to put 2 in 1 for Support/KB is to
> create a KB article that explains, that Lightning is using the Thunderbird
> KB and that further support questions should be asked in gsfn.

Such an article exists https://support.mozillamessaging.com/en-US/kb/using-lightning-calendar-add-on 

Looking at that, I think it can serve the dual purposes.

There is also an article about holidays at https://support.mozillamessaging.com/en-US/kb/adding-a-holiday-calendar
Comment 28 Andrei Hajdukewycz [:sancus] 2013-12-02 14:29:58 PST
So I've integrated the main page into bedrock, it's up in a PR here: https://github.com/mozilla/bedrock/pull/1466

Few things have changed:

1) The URL is back to /projects/calendar... I originally thought we were killing the /projects/ URL in bedrock, but it turns out it's still in use for the mozilla-based list, so there's no need for the URL to change to /products/.

2) URL for Bugzilla was switched to "https://bugzilla.mozilla.org/enter_bug.cgi?product=Calendar" per the discussion above.

3) "Bug of the Day" Is gone since we don't have any functionality to actually display a bug of the day, and it's replaced with "Bugs Ahoy!" per the above discussion.

4) The newsfeed is gone, because bedrock doesn't currently have functionality to pull a news feed from a blog(weird, right?) -- follow up has been filed (Bug 945436) and I'll build that functionality out later, since we do need it for other stuff as well, but it's not critical to this page going up.

You can see a screenshot of the new page here: http://i.imgur.com/GQ3Mv1f.png -- there were some slight layout alterations, and we're using the standard new mozilla.org header/footer and background, so the page looks integrated with the rest of the site. Also, there is a responsive layout for phone-sized(480 and 320px) screens now. There's no specialized tablet layout because the content of this page is only 840px wide(most pages on mozilla.org are 1000+ px wide in desktop layout), which isn't much different from the 760px tablet threshold, so it didn't seem necessary.

6) Finally, the holiday calendar stuff - moving the files is covered by bug 885799, and we've already agreed they'll be hosted in bedrock. Not sure what to do about the index, a wiki page is definitely the least work for me(obviously), on the other hand I think it would be really cool to have an index page that's updated by JSON entries and autogenerates the html/css/etc, and make it really simple to keep updated, so, I dunno. That's enough infodump for one comment, I think.
Comment 29 [github robot] 2013-12-12 01:28:50 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/efaee30b322e29c3aad65d3416cc5b9bc6fb2f07
[Fix Bug 723267] Add new projects/calendar page

https://github.com/mozilla/bedrock/commit/fe8c4a4061c2209d0f2335e6fce95208666204d7
Merge pull request #1466 from Sancus/calendar

[Fix Bug 723267] Add new projects/calendar page
Comment 30 raymond [:retornam] (inactive) 2013-12-12 11:19:04 PST
fixed on stage https://www.allizom.org/en-US/projects/calendar/
Comment 31 Philipp Kewisch [:Fallen] 2013-12-12 11:33:31 PST
Exciting! Thanks for all the hard work :)

Note You need to log in before you can comment on or make changes to this bug.